Subject: Re: small design problem with hso driver

From: Greg KH <[email-masked]>
Date: Wed, 8 Oct 2008 10:45:56 -0700

On Wed, Oct 08, 2008 at 03:52:38PM +0200, Denis Joseph Barrow wrote:
> Hi,
> I'm getting a fairly consistently reproducable problem
> with the 3g modem hso driver. The most reproducable
> bug I have.
> 
> It happens when I plug out the usb modem & ctrl-c
> out of an ioctl call with the modem connected in paralell over ppp
> with wvdial 
> 
> Basically whats happening is the hso_serial_close
> is being called more times than the hso_serial_open &
> I don't know why.

Care to put a trace or printk() to determine who is doing each open and
close?

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html